.Walrus-nav-icon {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    color: $white;
}

.nav-link {
    color: $gray-800;
    text-decoration: none;
    padding-top: 0.2rem;
    padding-bottom: 0.2rem;
}

.nav-link:visited {
    text-decoration: none;
}

.nav-link:hover {
    color: $blue;
}

.nav-search-group {
    border-radius: 1px !important;
}

.search-card {
    text-align: left !important;
}

.search-string {
    background-color: $gray-100
}

.sidebar {
    border-right: $base-border;
    display: block;
    margin-top: 0.5rem;
}

.sidebar-active {
    color: #007bff;
}

sidebar .toc {
    padding: 0 0 0 5px;
    border-right: $base-border;
    position: sticky;
    top: 3.55rem;
    z-index: 1000;
    align-items: flex-start;
    height: 100vh;
}

aside .toc {
    padding: 0 5px;
    margin-right: -15px;
    position: sticky;
    top: 3.55rem;
}

sidebar .toc .toc-search {
    position: relative;
    width: 100%;
    padding: 12px 12px 12px 0px;
    border-bottom: $base-border;
}

.toc .toc-nav {
    padding-top: 12px;
    padding-bottom: 12px;
    width: 100%;
    overflow-y: auto;
}

sidebar .toc .toc-nav {
    max-height: calc(100vh - 7.3rem);
}

aside .toc .toc-nav {
    max-height: calc(100vh - 3.6rem);
    padding-top: 22px;
}

.small-toc .toc-nav {
    padding-top: 0;
    margin-bottom: -15px;
}

.small-toc h4 {
    font-size: 100%;
    margin-bottom: 0;
}

@media (max-width: 991.98px) {
    sidebar .toc {
        padding: 0;
        margin-top: 0.75rem;
        margin-bottom: 0;
        border-right: 0;
        position: auto;
        top: 0;
        z-index: 1000;
        height: auto;
        align-items: flex-start;
        border-bottom: $base-border;
        padding-bottom: 1rem;
    }

    aside .toc {
        padding: 0;
        margin-top: 0;
        margin-bottom: 0;
        margin-right: 0;
        position: auto;
        top: 0;
    }

    .toc .navbar-toggler,
    .toc .navbar-toggler:focus,
    .toc .navbar-toggler:hover {
        border: 0;
    }
    sidebar .toc .toc-search {
        position: inherit;
        width: 100%;
        margin-left: 0;
        padding: 15px 0;
        border-bottom: $base-border;
    }
    .toc .toc-nav {
        overflow-y: visible;
        max-height: none;
    }

    sidebar .toc .toc-nav {
        max-height: none;
    }

    aside .toc .toc-nav {
        max-height: none;
    }
}

.toc-search .input-group {
    width: 100%;
}

.toc .toc-nav .toc-group {
    padding-bottom: .5rem;
}

.toc .toc-nav .toc-group .toc-header {
    font-weight: 600;
    font-size: 17px;
    color: $gray-900;
}

.toc .toc-nav .toc-group.active .toc-header {
    font-weight: 600;
    color: $black;
}

.toc .toc-nav .toc-item,
.toc .toc-nav .toc-item a {
    padding: 0;
    font-size: 14px;
    color: $gray-800;
}

.toc .toc-nav .toc-item a:hover {
    color: $gray-600;
    text-decoration: none;
}

.toc .toc-nav .toc-item.active {
    font-weight: 600;
    color: $black;
}

.toc ul {
    margin-bottom: 0;
    list-style: none;
    padding-left: 10px;
}
